// creator  : weidu.exe (version 23600)
// argument : QUAYLP.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~QUAYLP~

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)
~ THEN BEGIN 0 // from:
  SAY #15849 /* ~Please don't leave me out here! Do you hear buzzards? I hear buzzards.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
~ EXIT
END

IF ~  HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
~ THEN BEGIN 1 // from:
  SAY #15850 /* ~Hmph! You are superfluous to my well-being and I can't say I'll miss being confronted with your orcish face and troll-like breath each morning! Good riddance to stupid rubbish!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeArea()
~ EXIT
END

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 2 // from:
  SAY #15851 /* ~It's about time you came back! I thought for sure that you had met some characteristically stupid end, like forgetting to breath or something.~ */
  IF ~~ THEN REPLY #15852 /* ~Oh, how I had missed your charming nature. Take a hike, Quayle!~ */ GOTO 3
  IF ~~ THEN REPLY #15853 /* ~As much as I despise you, I have need of your services once again.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #15854 /* ~You are just too stupid to realize how much you need me. Don't worry, I'll wait here until you smarten up.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #15855 /* ~Of course you do! You would be a complete and utter moron if you didn't think so! Lead on.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END
